Summary
Validate a workflow
Description
Validate a workflow, and return the resulting errors and warnings arrays.
Route
POST /automation-studio/workflows/validate
Roles
admin
engineering
support
apiread
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
The workflow to validate |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"864627fcfde072603c1c36c8",
"c30db0444d54003184c39561",
"bb4f0554421142a4f6661dcc",
"ec10c2a52c32ef5588df54b8"
],
"x": -62427114.55696339,
"y": -6921702.415169805
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"399d062773de770a04d83456",
"a3e81d8a1797dca6c2510538",
"62d61a5c332ac7bdd4ac620a"
],
"x": -35722852.38149133,
"y": -87376859.05799593
},
"error_handler": {
"name": "childJob",
"summary": "consequat qui",
"description": "in Duis nostrud qui",
"app": "elit",
"variables": {
"error": ""
},
"groups": [
"449d0a0184cc7ec6c2b20812",
"e4bd43f21dd6f9f40df6cd39"
],
"type": "operation",
"deprecated": false,
"scheduled": false,
"retrySettings": {
"state": [
"success",
"success",
"failure",
"error",
"error"
],
"autoRetry": false,
"limit": 20,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"65d23b08b5376b159cad62f0",
"2d09ca36e0222815600cc39a"
],
"_id": "4321abcdef694aa79dae47ad",
"description": "labore irure ullamco officia",
"preAutomationTime": 250000,
"font_size": 12,
"created": "1982-03-16T12:36:08.97Z",
"created_by": "c0a823120577d70a83c5a5fd",
"last_updated": "1977-12-11T11:23:48.112Z",
"last_updated_by": "70dcbd9031802442e81581a0",
"lastUpdatedVersion": "sit exercitation tempor dolore",
"tags": [
"exercitation",
"ut",
"nostrud incididunt aute ut"
],
"canvasVersion": 2,
"encodingVersion": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"title": "workflow",
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| validationResult |
object |
Errors and warnings output from the validation process |
Copied to Clipboard
{
"errors": [],
"warnings": []
}
Copied to Clipboard
{
"type": "object",
"title": "validationResult",
"properties": {
"errors": {
"type": "array",
"items": {
"type": "object"
}
},
"warnings": {
"type": "array",
"items": {
"type": "object"
}
}
}
}